Bug 202599 - net-snmp-config also configures snmpv3 users
net-snmp-config also configures snmpv3 users
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 09:30 EDT by Matthew Booth
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0738
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:00:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2006-08-15 09:30:02 EDT
Description of problem:

The man page for snmpd.conf contains the following paragraph in the section for
createUser:

              Instead  of figuring out how to use this directive and where to
              put  it  (see  below),  just  run  "net-snmp-config   --create-
              snmpv3-user"  instead, which will add one of these lines to the
              right place.

After much hunting, it seems that this utility does indeed exist, however it is
part of net-snmp-devel. It seems, in fact, that it's day job is to provide
net-snmp related build options. It just moonlights as a creator of snmpv3 users.
It's install time dependencies include:

beecrypt-devel
elfutils-devel
rpm-devel

These are not likely to be required on a production machine.

The man snmpd.conf man page should not be referencing a utility which is only
provided in the -devel package.

A single utility which both provides build options and configures users is a
questionable design decision to say the least.

Ideally, net-snmp-config would be split into 2 utilities, and the creator of
users moved into the main package.

Failing that, the offending paragraph should be removed from the man page, or at
least accompanied by a disclaimer which will prevent users from wasting time
looking for it.

Version-Release number of selected component (if applicable):

net-snmp-devel-5.1.2-11.EL4.7.i386
Comment 1 Radek Vokal 2006-08-23 09:42:12 EDT
I agree. The net-snmp-config also provides this setup command, otherwise it is
for development use only. I can either split the setup part into new script (sth
like net-snmp-setup) or I'd rather remove the above note from man page. The
snmpv3 users can be add into snmpd.conf by hand, like other snmp users. This is
only helper script which simplifies the procedure. I leave the decision up to
you, whatever suits customer better :) 
Comment 2 Matthew Booth 2007-06-04 18:16:37 EDT
I'm happy to update the man page.
Comment 3 RHEL Product and Program Management 2007-06-09 09:25:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2007-11-15 11:00:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0738.html

Note You need to log in before you can comment on or make changes to this bug.